// *** PocketMotus Windows CE ***
// Version 1.1
// Franois PESSAUX June 2001
// This program is freeware.
// Use its sources as you whant provided that you leave this copyright unchanged
// and that you drop a small word telling that I'm the author of these sources.
// Thank's a lot.
//   --Francois

#include "stdafx.h"



void LoadPrefs () {
  HKEY pref_key ;
	DWORD dummy0, dummy1=256 ;
	DWORD tmp_res ;

  if (RegOpenKeyEx (HKEY_LOCAL_MACHINE, TEXT ("Software\\PocketMotus"), 0, 0, &pref_key) != ERROR_SUCCESS)
		return ;

  // Get the dictionary name
  RegQueryValueEx (pref_key, TEXT ("dicname"), NULL, &dummy0,
		(LPBYTE) dic_name, &dummy1) ;
	// Get the option flags
  RegQueryValueEx (pref_key, TEXT ("timer"), NULL, &dummy0,
	  (LPBYTE) &tmp_res, &dummy1) ;
	timer_flag = (BOOL) tmp_res ;
	RegQueryValueEx (pref_key, TEXT ("check"), NULL, &dummy0,
	  (LPBYTE) &tmp_res, &dummy1) ;
	check_flag = (BOOL) tmp_res ;
	// Get the timer limit.
  RegQueryValueEx (pref_key, TEXT ("timerlimit"), NULL, &dummy0,
	  (LPBYTE) &timer_limit, &dummy1) ;
	// Get the number of turns for the game.
  RegQueryValueEx (pref_key, TEXT ("numberofturns"), NULL, &dummy0,
	  (LPBYTE) &number_of_turns, &dummy1) ;
  // Now, close the key
  RegCloseKey (pref_key) ;
  return ;
}



void SavePrefs ()
{
  HKEY pref_key ;
  DWORD dummy ;

  // Initialize persistent preferences
  RegCreateKeyEx (HKEY_LOCAL_MACHINE, TEXT ("Software\\PocketMotus"), 0, NULL,
	  0, 0, NULL, &pref_key, &dummy) ;
  // Now, dictionary name
  RegSetValueEx (pref_key, TEXT ("dicname"), 0, REG_SZ,
		(LPBYTE) dic_name, (1 + wcslen (dic_name)) * sizeof (TCHAR)) ;
	// Save option flags
	dummy = (DWORD) timer_flag ;
	RegSetValueEx (pref_key, TEXT ("timer"), 0, REG_DWORD,
	  (LPBYTE) &dummy, sizeof (DWORD)) ;
	dummy = (DWORD) check_flag ;
	RegSetValueEx (pref_key, TEXT ("check"), 0, REG_DWORD,
	  (LPBYTE) &dummy, sizeof (DWORD)) ;
  // Get the timer limit.
  RegSetValueEx (pref_key, TEXT ("timerlimit"), 0, REG_DWORD,
	  (LPBYTE) &timer_limit, sizeof (int)) ;
  // Get the number of turns for the game.
  RegSetValueEx (pref_key, TEXT ("numberofturns"), 0, REG_DWORD,
	  (LPBYTE) &number_of_turns, sizeof (int)) ;
  // Now, close the key
  RegCloseKey (pref_key) ;
  return ;
}
